package com.palmnest.application.dto.output;

import java.io.Serializable;
import java.util.List;
import java.util.Map;
import java.util.Set;

import com.palmnest.application.bean.RoleInfoDto;
import com.palmnest.model.TbCompany;

public class UserInfoOutPutDto  implements Serializable{

	private Long id;
	private String username;
	private String password;
	private String telephone;
	private String fullName;
	private String position;     //职位
	private List<RoleInfoDto> list;
	private Integer company;//所属运营中心
	private Integer dept;//所属部门
	private String workNo;//工号
	private Integer userType;//用户类型

	public Integer getUserType() {
		return userType;
	}

	public void setUserType(Integer userType) {
		this.userType = userType;
	}

	public Integer getDept() {
		return dept;
	}
	public void setDept(Integer dept) {
		this.dept = dept;
	}
	public Integer getCompany() {
		return company;
	}
	public void setCompany(Integer company) {
		this.company = company;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getTelephone() {
		return telephone;
	}
	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}
	public String getFullName() {
		return fullName;
	}
	public void setFullName(String fullName) {
		this.fullName = fullName;
	}
	public String getPosition() {
		return position;
	}
	public void setPosition(String position) {
		this.position = position;
	}
	public List<RoleInfoDto> getList() {
		return list;
	}
	public void setList(List<RoleInfoDto> list) {
		this.list = list;
	}
	public String getWorkNo() {
		return workNo;
	}
	public void setWorkNo(String workNo) {
		this.workNo = workNo;
	}
	
	
}
